@import '@ui-components/assets/themes/themify.utils.scss';
@import '~/src/themes.scss';

#HelpPage {
  height: 100%;

  display: grid;
  grid-template-rows: 200px auto;
  grid-template-areas:
    "header"
    "main";

  header {
    grid-area: header;
    align-self: center;
  }

  main {
    grid-area: main;

    display: flex;
    flex-wrap: wrap;
    align-content: flex-start;
    row-gap: 16px;
    column-gap: 32px;
  }

  .LeftColumn, .RightColumn {
    flex: 1;
    height: fit-content;
    min-width: 500px;
  }

  h1 {
    font-size: 40px;
    font-weight: normal;
  }

  h2 {
    font-size: 24px;
    font-weight: normal;
  }

  h3 {
    font-size: 18px;
    font-weight: normal;
  }

  ul, ol {
    line-height: 24px;
  }

  .SectionIcon::after {
    content: ' ';
  }

  #AboutSection > p, #MetalabSection > p {
    font-size: 18px;
  }

  #AboutSubSections {
    display: grid;

    grid-template-columns: 1fr 2fr;
    grid-column-gap: 16px;
    grid-template-rows: auto auto;

    grid-template-areas:
      "licence licence"
      "version team";

    #LicenseSubSection {
      grid-area: licence;
    }

    #VersionSubSection {
      grid-area: version;
    }

    #DevelopmentTeamSubSection {
      grid-area: team;
    }
  }

  .SatLogo {
    position: absolute;
    top: 0;
    right: 0;

    img {
      margin-top: 32px;
      margin-right: 100px;
      width: 200px;
    }
  }

  #ContributorsSection {
    ul {
      list-style: none;
      margin: 0;
      padding: 0;
    }

    li {
      display: inline;

      &:after {
        content: ", ";
      }

      &:last-child:after {
        content: "";
      }
    }
  }

  #MetalabSection {
    svg, img {
      max-height: 64px;
    }

    .Splash {
      max-height: none;
      width: 64px;
    }
  }

  padding-left: 100px;
  padding-right: 100px;
}

@include themify('page', $themes) {
  &#HelpPage {
    font-family: themed('font-family');
    color: themed('text-primary');
    background-color: themed('background');

    a, a:active, a:hover, a:visited {
      color: themed('text-primary')
    }
  }
}
